﻿using System;
using System.Threading;
using System.Windows.Forms;

namespace Horizon
{
    public partial class AboutForm : Form
    {
        #region Event Handlers

        private void AboutForm_Shown(object sender, EventArgs e)
        {
            VersionTextBox.Text = $"{Constants.AssemblyName} v.{Constants.AssemblyVersion}";
        }

        #endregion

        #region Constructors, Destructors and Finalizers

        public AboutForm()
        {
            InitializeComponent();
        }

        public AboutForm(CancellationToken cancellationToken) : this()
        {
            Shown += AboutForm_Shown;
        }

        /// <summary>
        ///     Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && components != null)
            {
                components.Dispose();
            }

            Shown -= AboutForm_Shown;

            base.Dispose(disposing);
        }

        #endregion

        private void AboutForm_Load(object sender, EventArgs e)
        {
            Utilities.WindowState.FormTracker.Track(this);
        }
    }
}