﻿using System;
using System.IO;
using System.Reflection;
using System.Runtime.InteropServices;

namespace Horizon
{
    public class Constants
    {
        #region Static Fields and Constants

        public static readonly string AssemblyName = Assembly.GetEntryAssembly().GetName().Name;

        public static readonly string AssemblyVersion = Assembly.GetEntryAssembly().GetName().Version.ToString();

        public static readonly string AssemblyGuid =
            ((GuidAttribute)Assembly.GetEntryAssembly().GetCustomAttributes(typeof(GuidAttribute), true)[0]).Value;

        public static string TrackedFoldersXsd = "TrackedFolders.xsd";

        public static string TrackedFoldersNamespace = "urn:horizon-tracked-folders-schema";

        public static string ConfigurationXsd = "Configuration.xsd";

        public static string ConfigurationNamespace = "urn:horizon-configuration-schema";

        #endregion

        #region Public Enums, Properties and Fields

        public static string DatabaseDirectory => Path.Combine(
            Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments), @"Wizardry and Steamworks", @"Horizon");

        public static string DatabaseFilePath => Path.Combine(DatabaseDirectory, @"Horizon.db");

        public static string FoldersFile => Path.Combine(UserApplicationDirectory, @"TrackedFolders.xml");

        public static string ConfigurationFile => Path.Combine(UserApplicationDirectory, @"Configuration.xml");

        public static string UserApplicationDirectory => Path.Combine(
            Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments), @"Wizardry and Steamworks", @"Horizon");

        #endregion
    }
}